<?php
/**
 * Setup.
 *
 * @package MadeByAura\Prime\Plugins\WooCommerce\Hooks
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Plugins\WooCommerce\Hooks;

use MadeByAura\Prime\Helpers\SingletonTrait;

defined( 'ABSPATH' ) || die();

/**
 * Setup.
 */
class Setup {
	use SingletonTrait;

	/**
	 * Constructor.
	 */
	protected function __construct() {
		// Add WooCommerce support to the theme.
		add_action( 'after_setup_theme', [ __CLASS__, 'add_theme_support' ] );
	}

	/**
	 * Add WooCommerce support to the theme.
	 */
	public static function add_theme_support() {
		add_theme_support( 'woocommerce' );
	}
}
